Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.dropboxmq
Class Dropbox

    java.lang.Object
      net.sf.dropboxmq.Dropbox

    public class Dropbox

extends Object

Created: 09 Oct 2005

Version:
  $Revision: 231 $, $Date: 2011-08-12 21:50:47 -0600 (Fri, 12 Aug 2011) $
Author:
  Dwayne Schultz

Constructor Summary
`Dropbox(SessionImpl session, DestinationImpl destination, String messageSelector, String subscriptionName, boolean noLocal, Configuration configuration)`

Method Summary
`void` | `close()`
`MessageImpl` | `createMessage(File messageFile)`
`List` | `getCurrentTargetFiles()`
`DestinationImpl` | `getDestination()`
`FileSystem` | `getFileSystem()`
`String` | `getMessageSelector()`
`SessionImpl` | `getSession()`
`DirectoryStructure` | `getStructure()`
`String` | `getSubscriptionName()`
`boolean` | `isNoLocal()`
`Message` | `receive()`
`Message` | `receive(long timeout)`
`Message` | `receiveNoWait()`
`void` | `send(Message message, int priority, long timeToLive)`
`static void` | `throwRuntimeException(String message)`
`static void` | `throwRuntimeException(String message, Throwable t)`
`static void` | `throwRuntimeException(Throwable t)`
`protected String` | `toObjectString()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Dropbox

    public Dropbox(SessionImpl session,
                   DestinationImpl destination,
                   String messageSelector,
                   String subscriptionName,
                   boolean noLocal,
                   Configuration configuration)
            throws JMSException

Throws:
  `JMSException`

Method Detail

### getSession

    public SessionImpl getSession()

### getDestination

    public DestinationImpl getDestination()

### getMessageSelector

    public String getMessageSelector()

### getSubscriptionName

    public String getSubscriptionName()

### isNoLocal

    public boolean isNoLocal()

### getStructure

    public DirectoryStructure getStructure()

### getFileSystem

    public FileSystem getFileSystem()

### close

    public void close()

### send

    public void send(Message message,
                     int priority,
                     long timeToLive)
              throws IOException,
                     JMSException,
                     FileSystem.FileSystemException

  Throws:
    `IOException`
    `JMSException`
    `FileSystem.FileSystemException`

### receive

    public Message receive()
                    throws JMSException,
                           IOException,
                           FileSystem.FileSystemException

  Throws:
    `JMSException`
    `IOException`
    `FileSystem.FileSystemException`

### receive

    public Message receive(long timeout)
                    throws JMSException,
                           IOException,
                           FileSystem.FileSystemException

  Throws:
    `JMSException`
    `IOException`
    `FileSystem.FileSystemException`

### receiveNoWait

    public Message receiveNoWait()
                          throws IOException,
                                 JMSException,
                                 FileSystem.FileSystemException

  Throws:
    `IOException`
    `JMSException`
    `FileSystem.FileSystemException`

### createMessage

    public MessageImpl createMessage(File messageFile)
                              throws JMSException

  Throws:
    `JMSException`

### getCurrentTargetFiles

    public List getCurrentTargetFiles()
                               throws JMSException

  Throws:
    `JMSException`

### throwRuntimeException

    public static void throwRuntimeException(String message)

### throwRuntimeException

    public static void throwRuntimeException(Throwable t)

### throwRuntimeException

    public static void throwRuntimeException(String message,
                                             Throwable t)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### toObjectString

    protected final String toObjectString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD